---
layout: default
title: "Reference"
---

# Reference

<div style="column-count:3" markdown="1">

* `<Actions>`
* [`<Admin>`](./Admin.md)
* `<AdminRoutes>`
* [`<AppBar>`](./Theming.md#customizing-the-appbar-content)
* [`<ArrayField>`](./Fields.md#arrayfield)
* [`<ArrayInput>`](./Inputs.md#arrayinput)
* [`<Authenticated>`](./Authentication.md#useauthenticated-hook)
* [`<AutocompleteArrayInput>`](./Inputs.md#autocompletearrayinput)
* [`<AutocompleteInput>`](./Inputs.md#autocompleteinput)
* [`<BooleanField>`](./Fields.md#booleanfield)
* [`<BooleanInput>`](./Inputs.md#booleaninput-and-nullablebooleaninput)
* [`<CheckboxGroupInput>`](./Inputs.md#checkboxgroupinput)
* [`<ChipField>`](./Fields.md#chipfield)
* `<CloneButton>`
* `<Confirm>`
* [`<Create>`](./CreateEdit.md#the-create-and-edit-components)
* `<CreateActions>`
* `<CreateButton>`
* `<DashboardMenuItem>`
* [`<Datagrid>`](./List.md#the-datagrid-component)
* `<DatagridBody>`
* `<DatagridCell>`
* `<DatagridHeaderCell>`
* [`<DateField>`](./Fields.md#datefield)
* [`<DateInput>`](./Inputs.md#dateinput)
* `<DeleteButton>`
* [`<Edit>`](./CreateEdit.md#the-create-and-edit-components)
* [`<EditGuesser>`](./CreateEdit.md#the-editguesser-component)
* `<EditActions>`
* `<EditButton>`
* [`<EmailField>`](./Fields.md#emailfield)
* [`<FileField>`](./Fields.md#filefield)
* [`<FileInput>`](./Inputs.md#fileinput)
* [`<Filter>`](./List.md#filters)
* `<FilterButton>`
* `<FilterForm>`
* [`<FormDataConsumer>`](./Inputs.md#linking-two-inputs)
* [`<FormTab>`](./CreateEdit.md#the-tabbedform-component)
* [`<FunctionField>`](./Fields.md#functionfield)
* [`<ImageField>`](./Fields.md#imagefield)
* [`<ImageInput>`](./Inputs.md#imageinput)
* [`<ImageInputPreview>`](./Inputs.md#imageinput)
* `<Labeled>`
* [`<Layout>`](./Theming.md#using-a-custom-layout)
* [`<Loading>`](./Theming.md#Loading)
* [`<List>`](./List.md#the-list-component)
* [`<ListGuesser>`](./List.md#the-listguesser-component)
* `<ListButton>`
* [`<Menu>`](./Theming.md#using-a-custom-menu)
* [`<Mutation>`](./Actions.md#legacy-components-query-mutation-and-withdataprovider)
* `<Notification>`
* [`<NullableBooleanInput>`](./Inputs.md#booleaninput-and-nullablebooleaninput)
* [`<NumberField>`](./Fields.md#numberfield)
* [`<NumberInput>`](./Inputs.md#numberinput)
* [`<Pagination>`](./List.md#pagination)
* [`<Query>`](./Actions.md#legacy-components-query-mutation-and-withdataprovider)
* [`<RadioButtonGroupInput>`](./Inputs.md#radiobuttongroupinput)
* [`<ReferenceArrayField>`](./Fields.md#referencearrayfield)
* [`<ReferenceArrayInput>`](./Inputs.md#referencearrayinput)
* [`<ReferenceField>`](./Fields.md#referencefield)
* [`<ReferenceInput>`](./Inputs.md#referenceinput)
* [`<ReferenceManyField>`](./Fields.md#referencemanyfield)
* `<RefreshButton>`
* [`<Resource>`](./Resource.md#the-resource-component)
* [`<RichTextField>`](./Fields.md#richtextfield)
* [`<RichTextInput>`](./Inputs.md#richtextinput)
* `<SaveButton>`
* [`<SelectField>`](./Fields.md#selectfield)
* [`<SelectInput>`](./Inputs.md#selectinput)
* [`<Show>`](./Show.md#the-show-component)
* [`<ShowGuesser`](./Show.md#the-showguesser-component)
* `<ShowButton>`
* `<Sidebar>`
* `<SimpleList>`
* [`<SimpleForm>`](./CreateEdit.md#the-simpleform-component)
* [`<SimpleformIterator>`](./Inputs.md#arrayinput)
* [`<SimpleList>`](./List.md#the-simplelist-component)
* [`<SimpleShowLayout>`](./Show.md#the-simpleshowlayout-component)
* [`<SingleFieldList>`](./List.md#the-singlefieldlist-component)
* `<Tab>`
* [`<TabbedForm>`](./CreateEdit.md#the-tabbedform-component)
* [`<TabbedShowLayout>`](./Show.md#the-tabbedshowlayout-component)
* [`<TestContext>`](./UnitTesting.md#testing-custom-views)
* [`<TextField>`](./Fields.md#textfield)
* [`<TextInput>`](./Inputs.md#textinput)
* `<Title>`
* [`translate`](./Translation.md#withtranslate-hoc)
* `<Toolbar>`
* [`<UrlField>`](./Fields.md#urlfield)
* [`useAuthenticated`](./Authentication.md#useauthenticated-hook)
* `useAuthProvider`
* [`useAuthState`](./Authentication.md#useauthstate-hook)
* `useCheckAuth`
* `useChoices`
* [`useCreate`](./Actions.md#specialized-hooks)
* `useCreateController`
* [`useDataProvider`](./Actions.md#usedataprovider-hook)
* [`useDelete`](./Actions.md#specialized-hooks)
* [`useDeleteMany`](./Actions.md#specialized-hooks)
* `useEditController`
* `useFilterState`
* [`useGetList`](./Actions.md#specialized-hooks)
* [`useGetMany`](./Actions.md#specialized-hooks)
* [`useGetManyReference`](./Actions.md#specialized-hooks)
* `useGetMatching`
* `useGetMatchingReferences`
* [`useGetOne`](./Actions.md#specialized-hooks)
* `useGetPermissions`
* `useInput`
* `useListController`
* `useListParams`
* `useLoading`
* [`useLocale`](./Translation.md#uselocale-getting-the-current-locale)
* [`useLogin`](./Authentication.md#customizing-the-login-and-logout-components)
* [`useLogout`](./Authentication.md#customizing-the-login-and-logout-components)
* `useLogoutIfAccessDenied`
* [`useMediaQuery`](./Theming.md#usemediaquery-hook)
* [`useMutation`](./Actions.md#usemutation-hook)
* [`useNotify`](./Actions.md#handling-side-effects-in-usedataprovider)
* `usePaginationState`
* [`usePermissions`](./Authorization.md#usepermissions-hook)
* [`useQuery`](./Actions.md#usequery-hook)
* [`useQueryWithStore`](./Actions.md#usequerywithstore-hook)
* [`useRedirect`](./Actions.md#handling-side-effects-in-usedataprovider)
* `useReference`
* `useReferenceArrayFieldController`
* `useReferenceArrayInputController`
* `useReferenceInputController`
* `useReferenceManyFieldController`
* [`useRefresh`](./Actions.md#handling-side-effects-in-usedataprovider)
* [`useSetLocale`](./Translation.md#usesetlocale-changing-locale-at-runtime)
* `useShowController`
* `useSortState`
* [`useStyles`](./Theming.md#overriding-a-component-style)
* `useSuggestions`
* [`useTranslate`](./Translation.md#usetranslate-hook)
* [`useUpdate`](./Actions.md#specialized-hooks)
* `useUpdateLoading`
* [`useUpdateMany`](./Actions.md#specialized-hooks)
* [`useUnselectAll`](./Actions.md#handling-side-effects-in-usedataprovider)
* `useVersion`
* [`withDataProvider`](./Actions.md#legacy-components-query-mutation-and-withdataprovider)
* [`withTranslate`](./Translation.md#withtranslate-hoc)
* [`<WithPermissions>`](./Authorization.md#usepermissions-hook)

</div>
